Download it now!
Bug 130675 - Calc: Cell borders protruded at joint angle
Summary: Calc: Cell borders protruded at joint angle
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.7.3 release
Hardware: All All
: medium normal
Assignee: Armin Le Grand
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Cell-Border
  Show dependency treegraph
 
Reported: 2020-02-15 00:44 UTC by jun meguro
Modified: 2020-08-25 18:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample.ods (9.97 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-02-15 00:45 UTC, jun meguro
Details
sample.pdf (10.31 KB, application/pdf)
2020-02-15 00:45 UTC, jun meguro
Details
sample compared in old and new LO (105.65 KB, image/png)
2020-04-07 07:42 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jun meguro 2020-02-15 00:44:51 UTC
Description:
When using calc, if you set the cell border in a specific pattern, the cell line will protrude.
Open attached .ods and pdf.
This behavior occurs in LO6. *, But not in LO5. *.

Steps to Reproduce:
1.Open new Calc heet.
2.Set border line as specific pattern.(look at attached sample)
3.

Actual Results:
cell line will protrude.

Expected Results:
Fit borders like any other pattern.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
version: 6.3.4.2
Build ID: 1:6.3.4-0ubuntu0.19.10.1
CPU threads: 8; OS:Linux 5.3; UI render: default; VCL: gtk3; 
Locale: ja-JP (ja_JP.UTF-8); UI-Language: ja-JP
Calc: threaded
Comment 1 jun meguro 2020-02-15 00:45:35 UTC
Created attachment 157881 [details]
sample.ods

sample.ods
Comment 2 jun meguro 2020-02-15 00:45:53 UTC
Created attachment 157882 [details]
sample.pdf

sample.pdf
Comment 3 Oliver Brinzing 2020-02-15 10:10:57 UTC
reproducible with:

Version: 6.0.7.3 (x64)
Build-ID: dc89aa7a9eabfd848af146d5086077aeed2ae4a5
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: 

but *not* reproducible with:

Version: 5.4.7.2 (x64)
Build-ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU-Threads: 4; BS: Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: single
Comment 4 Oliver Brinzing 2020-02-15 16:02:28 UTC
this seems to have started somewhere with:

https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=2f16219741aba016677103e4b22738d055c39a91

commit	2f16219741aba016677103e4b22738d055c39a91	[log]
author	Armin Le Grand <Armin.Le.Grand@cib.de>	Thu Sep 14 11:44:23 2017 +0200
committe rArmin Le Grand <Armin.Le.Grand@cib.de>	Fri Sep 15 12:58:04 2017 +0200
tree	55a3ab0dc313b4eb28893970c10b1732658e7e89
parent	16fd7af90a9be159ebc7eab09083f1ef7eb64645 [diff]

borderline: Fixed PatternScale

The applied PatternScale factor was not consequently used in
svx::frame::Style so that the Previews in the Dialogs look weird.
Fixed that and stumbled over Writer applying it's own scale
which then was leading to double scaling, ceaned that up.

Change-Id: I89f41bfd7884e5e743080301e219491e215054c3

/cygdrive/d/sources/bibisect/bibisect-win32-6.0
$ git bisect bad
235e7480e48c60f4e0ec749ffc47eea571d25b6f is the first bad commit
commit 235e7480e48c60f4e0ec749ffc47eea571d25b6f
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Sep 29 09:38:02 2017 -0700

    source sha:2f16219741aba016677103e4b22738d055c39a91

    source sha:2f16219741aba016677103e4b22738d055c39a91
    source sha:16fd7af90a9be159ebc7eab09083f1ef7eb64645
    source sha:1f02af4dbd13d79647549e1269722e2c0b67fa90
    source sha:53599a9a183878cdf435f80939f8d301a3909d78
    source sha:98ceb50c0a65708729df8f2967e616f52db42261
    source sha:0d2b5305263b01fbefdc998cfc713e36084d6294

:040000 040000 b5bf4255997f8550e2c9a3e5b1ec3817c2c16da5 151b7775b0a70b4c41662cef7fae91bebf370842 M      instdir

/cygdrive/d/sources/bibisect/bibisect-win32-6.0
$ git bisect log
# bad: [bc1845d882e52469a4583747881a465749177829] source sha:c30963b8b4bbbe42a24b97aafa161eff9d7ccdd4
# good: [cc5c4c7ed1d8d01b0063bcaaeb5f6d59282c8029] source sha:9feb7f7039a3b59974cbf266922177e961a52dd1
git bisect start 'master' 'oldest'
# good: [611b687719dc875499fd14d50e699b7ce871b941] source sha:2cd664b3d618e6085be8b44ee86eada6cd5f8789
git bisect good 611b687719dc875499fd14d50e699b7ce871b941
# bad: [3d50ca0e4e00109fa4799c8bb6c0093ec33c58ba] source sha:0c364fa7d507ae41bf04d36464f8942d154e49c0
git bisect bad 3d50ca0e4e00109fa4799c8bb6c0093ec33c58ba
# bad: [19997809e92a03524f964ffd7d39b729878f3668] source sha:4aa3a0b20f6140c716ac933fc575b202209881f9
git bisect bad 19997809e92a03524f964ffd7d39b729878f3668
# bad: [6661b0cb338ecd3d4822bb652d33724aa73c333f] source sha:82e88b91665c8954eba1333577627a520140630d
git bisect bad 6661b0cb338ecd3d4822bb652d33724aa73c333f
# bad: [9fdd7b700b0a923ff87c4df058ea94c73406111f] source sha:1b3fc6e2b8f3f36868657d623de21ce3e249efa0
git bisect bad 9fdd7b700b0a923ff87c4df058ea94c73406111f
# good: [7ada9762ab5e2f997b7a1aa9922da5b128a45b5e] source sha:1a2b33348e53a4c3262494cfc5bfa7cbd1bb4e36
git bisect good 7ada9762ab5e2f997b7a1aa9922da5b128a45b5e
# good: [7351112abbdfe5d84eca5b1f5b6f2e3852ce120e] source sha:15b973ed64cb0c655b387c5022fc2ff0894520dd
git bisect good 7351112abbdfe5d84eca5b1f5b6f2e3852ce120e
# bad: [e495b995f52b7ccd7acfb57d846786bb59f1ba28] source sha:15966e0721af1d16243a032ec2832a66a069de93
git bisect bad e495b995f52b7ccd7acfb57d846786bb59f1ba28
# bad: [c4e29bf8c3ca2b4f803a5a6652a11312e24a25e8] source sha:186e31689661e23824b123dd014a65b713bedd8c
git bisect bad c4e29bf8c3ca2b4f803a5a6652a11312e24a25e8
# good: [f26774179cb66883a122a38abaee049439380ee8] source sha:596efaad51735a130e7b7bd27dbc34dc07f32f68
git bisect good f26774179cb66883a122a38abaee049439380ee8
# good: [dec0cde2fac5069a2886c903fb70c866a0e3c374] source sha:2135e461167dd873fd622e948b88b4194e6854b7
git bisect good dec0cde2fac5069a2886c903fb70c866a0e3c374
# bad: [41a491ae1dff6a6ebe668e9cd1587be4e95d802c] source sha:ab65fe804cf3a97bd172b5551b553b9bcde6d756
git bisect bad 41a491ae1dff6a6ebe668e9cd1587be4e95d802c
# bad: [235e7480e48c60f4e0ec749ffc47eea571d25b6f] source sha:2f16219741aba016677103e4b22738d055c39a91
git bisect bad 235e7480e48c60f4e0ec749ffc47eea571d25b6f
# first bad commit: [235e7480e48c60f4e0ec749ffc47eea571d25b6f] source sha:2f16219741aba016677103e4b22738d055c39a91
Comment 5 Armin Le Grand 2020-03-17 14:50:21 UTC
Hmmm. Checked and compared master


Version: 7.0.0.0.alpha0+ (x64)
Build ID: e6d008f131c7ca532a9e8410b424b3323d581978
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL

with

Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL

and those look the same as the PDF sample.pdf.
What is sample.pdf for - does it show how it shall look like or is it intended to show the error...? In both cases, could you please add a PDF that shows what you expect resp. is the error...?
Comment 6 Timur 2020-04-07 07:42:43 UTC
Created attachment 159380 [details]
sample compared in old and new LO

I add screenshot where it's clear what bug is about. Extended borders.
Enough to compared old and new LO. Sample PDF is wrong behavior.
Comment 7 Roman Kuznetsov 2020-08-25 18:51:03 UTC
I confirm these bad fat diagonal borders in 7.1